#
#  FILE NAME:
#      mixed_row_constructor.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# P3 imports:
from p3.data.row import Row


class MixedRowConstructor(object):
    def __init__( self, values, named_values ):
        self.values = values
        self.named  = named_values

    def create( self, table ):
        r = Row( table )
        r.fill_default()
        r.fill_by_position( self.values )
        # Some override protection could be put here.
        r.fill_by_name( self.named )
        return r
